> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# الاندماج والاستحواذ

<ResponseExample>
  ```json استجابة (200 OK) theme={null}
  {
    "ma": [
      {
        "acquirer_cusip": "233377407",
        "acquirer_exchange": "NASDAQ",
        "acquirer_isin": "US2333774071",
        "acquirer_name": "DXP Enterprises",
        "acquirer_ticker": "DXPE",
        "currency": "USD",
        "date": "2026-01-05",
        "date_completed": "2026-01-05",
        "date_expected": "",
        "deal_payment_type": "",
        "deal_size": "",
        "deal_status": "Completed",
        "deal_terms_extra": "لن يتم الإفصاح عن شروط الصفقة.",
        "deal_type": "Acquisition",
        "id": "695bc1b183cac20001bec44e",
        "importance": 2,
        "notes": "",
        "target_exchange": "",
        "target_name": "PREMIERflow, LLC",
        "target_ticker": "",
        "updated": 1767621689
      }
    ]
  }
  ```

  ```json استجابة (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "رمز الوصول للمصادقة غير صالح أو مفقود"
      }
    ]
  }
  ```

  ```json استجابة (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "لم يتم العثور على بيانات للمعلمات المحددة"
      }
    ]
  }
  ```

  ```json استجابة (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "حدث خطأ غير متوقع أثناء معالجة طلبك"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml ar/openapi/calendar-api.spec.yml GET /api/v2.1/calendar/ma
openapi: 3.0.0
info:
  contact: {}
  description: >-
    تُعيد واجهة برمجة تطبيقات REST هذه بيانات مُنظَّمة لمكالمات المؤتمرات
    الهاتفية (conference calls)، وتوزيعات الأرباح (dividends)، والأرباح (بما في
    ذلك تواريخ الأرباح المستقبلية)، والبيانات الاقتصادية، وإعلانات شركات
    الأدوية، والتوجيّهات المستقبلية للشركات (guidance)، والاكتتابات العامة
    الأولية (IPOs)، والعروض الثانوية، والتقييمات (ratings)، وأنشطة الاندماجات
    والاستحواذات (M&A)، وتجزيئة الأسهم (splits).
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/calendar/ma:
    get:
      tags:
        - ma
      summary: يُعيد بيانات الاندماج والاستحواذ
      description: >-
        يُرجِع بيانات الاندماجات والاستحواذات (M&A)، بما في ذلك إعلانات الصفقات،
        وإتمامها، وتفاصيل عن شركات الاستحواذ والشركات المستهدفة. تتضمن البيانات
        حجم الصفقة، ونوع الدفع، وحالة الصفقة، والتواريخ المتوقعة/المكتملة لأنشطة
        توحيد الشركات.
      operationId: get-ma
      parameters:
        - description: >-
            يُحدِّد تنسيق الاستجابة. تعمل معاملات الاستعلام بالطريقة نفسها في
            كلا التنسيقين
          in: header
          name: accept
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
        - description: >-
            إزاحة الصفحة. لأسباب تتعلق بالتحسين والأداء والاعتبارات التقنية،
            تكون قيم إزاحة الصفحة محصورة بين 0 و100000. قيّد نتائج الاستعلام
            باستخدام معلمات أخرى مثل التاريخ.
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: عدد النتائج المُسترجَعة. الحد الأقصى 1000
          in: query
          name: pagesize
          schema:
            type: integer
        - description: >-
            التاريخ المطلوب للاستعلام عن بيانات calendar. يُستخدم كاختصار لـ
            date_from و date_to إذا كانتا متطابقتين. القيمة الافتراضية هي
            الأحدث.
          in: query
          name: parameters[date]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: تاريخ البدء بالاستعلام من نقطة زمنية معيّنة
          in: query
          name: parameters[date_from]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: تاريخ الاستعلام حتى نقطة زمنية معينة
          in: query
          name: parameters[date_to]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: >-
            مستوى الأهمية الذي تتم التصفية بناءً عليه. تُطبَّق تصفية بقيمة أكبر
            من أو تساوي مستوى الأهمية المحدَّد
          in: query
          name: parameters[importance]
          schema:
            type: integer
            enum:
              - 0
              - 1
              - 2
              - 3
              - 4
              - 5
        - description: واحد أو أكثر من رموز التداول، مفصولة بفاصلة. الحد الأقصى 50 رمز سهم
          in: query
          name: parameters[tickers]
          schema:
            type: string
            format: csv
        - description: >-
            الطابع الزمني لآخر تحديث للسجلات بصيغة Unix timestamp (بتوقيت UTC).
            سيُجبِر هذا ترتيب الفرز على أن يكون أكبر من أو يساوي الطابع الزمني
            المحدَّد
          in: query
          name: parameters[updated]
          schema:
            type: integer
        - description: >-
            حقل تاريخ صفقات M&A للفرز (من الأحدث إلى الأقدم للصفقات المتوقعة
            والمكتملة؛ من الأقدم إلى الأحدث للصفقات المُعلَن عنها)
          in: query
          name: parameters[date_sort]
          schema:
            type: string
            enum:
              - expected
              - completed
              - announced
      responses:
        '200':
          description: نجاح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.AcquisitionResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.AcquisitionResponse'
        '400':
          description: طلب غير صالح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: خطأ داخلي في الخادم
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.AcquisitionResponse:
      description: >-
        استجابة واجهة برمجة التطبيقات API التي تتضمن مصفوفة سجلات لعمليات الدمج
        والاستحواذ (M&A)
      properties:
        ma:
          items:
            $ref: '#/components/schemas/calendarapi.Acquisition'
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.Acquisition:
      properties:
        acquirer_cusip:
          example: '594918104'
          type: string
        acquirer_exchange:
          example: NASDAQ
          type: string
        acquirer_isin:
          example: US5949181045
          type: string
        acquirer_name:
          example: Microsoft Corporation
          type: string
        acquirer_ticker:
          example: MSFT
          type: string
        currency:
          example: USD
          type: string
        date:
          example: '2024-01-09T00:00:00.000Z'
          type: string
        date_completed:
          example: '2024-06-15T00:00:00.000Z'
          type: string
        date_expected:
          example: '2024-06-30T00:00:00.000Z'
          type: string
        deal_payment_type:
          example: Cash
          type: string
        deal_size:
          example: '68700000000'
          type: string
        deal_status:
          example: Completed
          type: string
        deal_terms_extra:
          example: All-cash transaction
          type: string
        deal_type:
          example: Merger
          type: string
        id:
          example: 60a7f5e8e4b0f5a3c8e9f5ac
          type: string
        importance:
          example: 5
          type: integer
        notes:
          example: Subject to regulatory approval
          type: string
        target_cusip:
          example: 00507V109
          type: string
        target_exchange:
          example: NASDAQ
          type: string
        target_isin:
          example: US00507V1098
          type: string
        target_name:
          example: Activision Blizzard Inc.
          type: string
        target_ticker:
          example: ATVI
          type: string
        updated:
          example: 1704819600
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````